Create Dinka Wikipedia
Closed, ResolvedPublic

Description

The language committee has approved the creation of a Wikipedia in the Dinka language.

Language code: din
Site URL: din.wikipedia.org
Project name: Wikipedia
Project namespace: Wikipedia
Project talk namespace: Jam në biäk Wikipedia
Project logo: https://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-din.svg (uploaded)
Timezone: Africa/Juba

Thank you.

Amire80 created this task.Jun 21 2017, 11:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2017, 11:03 AM

Re...Really? We'll re-allow macrolanguage codes now?

Ebe123 added a subscriber: Ebe123.Jun 21 2017, 4:01 PM

Case by case, and in this case we do. See the discussions at the langcom mailing list.

Change 360766 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add new language Dinka - din.wikipedia.org

https://gerrit.wikimedia.org/r/360766

Change 360766 merged by Dzahn:
[operations/dns@master] add new language Dinka - din.wikipedia.org

https://gerrit.wikimedia.org/r/360766

Dzahn added a subscriber: Dzahn.Jun 21 2017, 10:36 PM

added to DNS

din.wikipedia.org has address 208.80.154.224
din.wikipedia.org has IPv6 address 2620:0:861:ed1a::1

Mentioned in SAL (#wikimedia-operations) [2017-06-21T22:38:30Z] <mutante> new language din.wikipedia.org has been created in DNS - Dinka is a Nilotic dialect cluster spoken by the Dinka people, the major ethnic group of South Sudan. (T168518) - https://en.wikipedia.org/wiki/Dinka_language

Dzahn triaged this task as Normal priority.Jun 22 2017, 4:21 AM

Hi. Any blockers here? It has been silent for a week.

I'll create initial configuration, next things must be done by somebody else.

Change 362168 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for Dinka Wikipedia

https://gerrit.wikimedia.org/r/362168

Dcljr added a subscriber: Dcljr.Jun 30 2017, 4:26 AM

Hi,

It seems to take a bit longer than usual... is there anything I can do to help?

Urbanecm added a subscriber: Dereckson.EditedJul 9 2017, 9:32 PM

Hello, I don't think so. There is no blocker AFAIK. @Dereckson, do you know what is next step? I think it is reserving an window and do the create but Im not sure.

Thanks @Urbanecm for the update, I haven't seen this ticket yet.

Hi,

It seems to take a bit longer than usual... is there anything I can do to help?

Usual time to create wikis is two weeks to 3 months for the last 3 years, but indeed, we sped up the process to 2-4 weeks these last months.

I'll ask a 3 hours deployment window to create wikis this week, as we've several of them waiting.

Urbanecm moved this task from Backlog to Watching on the User-Urbanecm board.
Esc3300 updated the task description. (Show Details)Jul 10 2017, 10:43 AM

Wiki scheduled for creation 2017-07-12 10:00–13:00 UTC.

Change 362168 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for Dinka Wikipedia

https://gerrit.wikimedia.org/r/362168

Mentioned in SAL (#wikimedia-operations) [2017-07-12T11:21:51Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Initial configuration for din.wikipedia (thanks Urbanecm) (T168518) (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2017-07-12T11:34:47Z] <Dereckson> Run add wiki maintenance script for dinwiki database / din.wikipedia.org (T168518)

Koavf added a subscriber: Koavf.Jul 14 2017, 4:11 PM

It's live and seems like it was all imported correctly (thanks Warburg) but it's still not live on Wikidata for interwiki links. What is the timeline for that? Can someone show me which ticket is related to this fix?

Change 365426 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/restbase/deploy@master] Add din.wikipedia.org to RESTBase

https://gerrit.wikimedia.org/r/365426

Change 365426 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Add din.wikipedia.org to RESTBase

https://gerrit.wikimedia.org/r/365426

Dcljr added a comment.Jul 15 2017, 8:33 AM

it's still not live on Wikidata for interwiki links. What is the timeline for that? Can someone show me which ticket is related to this fix?

I don't see a separate ticket for this. I would create one, but... well, let's see if this comment does the trick, first. [wink]

Change 365451 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Add din to InterwikiSortOrders

https://gerrit.wikimedia.org/r/365451

Change 365451 merged by jenkins-bot:
[operations/mediawiki-config@master] Add din to InterwikiSortOrders

https://gerrit.wikimedia.org/r/365451

Mentioned in SAL (#wikimedia-operations) [2017-07-18T23:40:18Z] <thcipriani@tin> Synchronized wmf-config/InterwikiSortOrders.php: SWAT: [[gerrit:365451|Add din to InterwikiSortOrders]] T168518 (duration: 00m 46s)

Why Wikidata is added, is there anything the team/volunteers/developers should do?

The subtask is resolved. Removing Wikidata

Koavf removed a subscriber: Koavf.Jul 19 2017, 4:11 PM

Change 367381 had a related patch set uploaded (by Raimond Spekking; owner: Raimond Spekking):
[mediawiki/extensions/WikimediaMessages@master] Add Dinka Wikipedia to WikimediaMessages

https://gerrit.wikimedia.org/r/367381

Change 367381 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add Dinka Wikipedia to WikimediaMessages

https://gerrit.wikimedia.org/r/367381

Dzahn removed a subscriber: Dzahn.Jul 26 2017, 3:05 PM

Anything left to do here?

I don't see anything myself, but then I'm a "din-0" user. Not yet a very active community there, but I've asked at din:Jam wɛ̈t ë Wikipedia:Apam këdït (Wikipedia talk:Main Page). We'll see if anyone replies there or here…

Urbanecm closed this task as Resolved.Jul 30 2017, 10:20 AM

Seems to be done - reopen if anything else needs to be done.